Skip to content

List Executions

GET
/api/v1/projects/{project_id}/solve/executions
curl --request GET \
--url 'https://aura.strangeworks.com/api/v1/projects/example/solve/executions?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'

List solve executions for a project, most recent first.

project_id
required
Project Id
string
limit
Limit

Maximum rows to return.

integer
default: 50 >= 1 <= 200

Maximum rows to return.

offset
Offset

Rows to skip before the returned page.

integer
0

Rows to skip before the returned page.

Successful Response

Media typeapplication/json
ExecutionListResponse
object
executions
required
Executions
Array<object>
ExecutionResponse
object
created_at
required
Created At
string format: date-time
error_message
required
Any of:
string
execution_time_ms
required
Any of:
integer
id
required
Id
string
input_file_ids
Any of:
Array<string>
is_test
Is Test
boolean
output_data
required
Any of:
object
key
additional properties
output_summary
required
Any of:
string
project_id
required
Project Id
string
snapshot_id
Any of:
string
status
required
Status
string
Allowed values: completed failed
triggered_by
required
Triggered By
string
limit
required
Limit
integer
offset
required
Offset
integer
total
required
Total
integer
Example
{
"executions": [
{
"is_test": false,
"status": "completed"
}
]
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}